(function ($) {

	$("#search-box select#category").change(function(){

		var term_id  = $(this).val();
		if (term_id == 0) { term_id = 'all'; }

		Search.term_id  = term_id;
		var result = sendData(Search);

		if (result !== false) {
			drawList(result);
		} else {
			emptyList();
		}

		return;

	});

	function sendData(param) {

		var result = false;

		$.ajax({
			type    : "POST",
			url     : param.url,
			dataType: "json",
			async   : false,
			data    : {
					action  : param.action,
					token   : param.token,
					term_id : param.term_id
			},

		}).done(function(callback){

			if ( callback != null && callback.status == 'OK' ) {
				result = callback;
			}

		}).fail(function(XMLHttpRequest, textStatus, errorThrown){

				//console.log(XMLHttpRequest);
				//console.log(textStatus);
				//console.log(errorThrown);

		});

		return result;

	}

	function drawList(result) {

		var id = '#' + result.taxonomy;

		$(id).empty();
		$(id).append($('<option>').html('すべてのタグ').val(''));

		for (i = 0; i < result.term.length; i++) {
			var str = result.term[i].name + '  (' + result.term[i].count + ')';
			$(id).append($('<option>').html(str).val(result.term[i].slug));
		}

		return;

	}

	function emptyList() {

		$("#post_tag").empty();
		$("#post_tag").append($('<option>').html('すべてのタグ').val(''));

		return;

	}

	function resultMsg(msg) {

		alert(msg);
		return;

	}

})(jQuery);
